<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>pyspottedunipd.cli</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a href="https://github.com/sirfoga/spotted-unipd">PySpottedUnipd</a></th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="pyspottedunipd-module.html">Package&nbsp;pyspottedunipd</a> ::
        Module&nbsp;cli
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
        <tr><td align="right"><span class="options"
            >[<a href="frames.html" target="_top">frames</a
            >]&nbsp;|&nbsp;<a href="pyspottedunipd.cli-pysrc.html"
            target="_top">no&nbsp;frames</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<h1 class="epydoc">Source Code for <a href="pyspottedunipd.cli-module.html">Module pyspottedunipd.cli</a></h1>
<pre class="py-src">
<a name="L1"></a><tt class="py-lineno"> 1</tt>  <tt class="py-line"><tt class="py-comment"># !/usr/bin/python3</tt> </tt>
<a name="L2"></a><tt class="py-lineno"> 2</tt>  <tt class="py-line"><tt class="py-comment"># coding: utf-8</tt> </tt>
<a name="L3"></a><tt class="py-lineno"> 3</tt>  <tt class="py-line"> </tt>
<a name="L4"></a><tt class="py-lineno"> 4</tt>  <tt class="py-line"><tt class="py-comment"># Copyright 2017 Stefano Fogarollo</tt> </tt>
<a name="L5"></a><tt class="py-lineno"> 5</tt>  <tt class="py-line"><tt class="py-comment">#</tt> </tt>
<a name="L6"></a><tt class="py-lineno"> 6</tt>  <tt class="py-line"><tt class="py-comment"># Licensed under the Apache License, Version 2.0 (the "License");</tt> </tt>
<a name="L7"></a><tt class="py-lineno"> 7</tt>  <tt class="py-line"><tt class="py-comment"># you may not use this file except in compliance with the License.</tt> </tt>
<a name="L8"></a><tt class="py-lineno"> 8</tt>  <tt class="py-line"><tt class="py-comment"># You may obtain a copy of the License at</tt> </tt>
<a name="L9"></a><tt class="py-lineno"> 9</tt>  <tt class="py-line"><tt class="py-comment">#</tt> </tt>
<a name="L10"></a><tt class="py-lineno">10</tt>  <tt class="py-line"><tt class="py-comment"># http://www.apache.org/licenses/LICENSE-2.0</tt> </tt>
<a name="L11"></a><tt class="py-lineno">11</tt>  <tt class="py-line"><tt class="py-comment">#</tt> </tt>
<a name="L12"></a><tt class="py-lineno">12</tt>  <tt class="py-line"><tt class="py-comment"># Unless required by applicable law or agreed to in writing, software</tt> </tt>
<a name="L13"></a><tt class="py-lineno">13</tt>  <tt class="py-line"><tt class="py-comment"># distributed under the License is distributed on an "AS IS" BASIS,</tt> </tt>
<a name="L14"></a><tt class="py-lineno">14</tt>  <tt class="py-line"><tt class="py-comment"># WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.</tt> </tt>
<a name="L15"></a><tt class="py-lineno">15</tt>  <tt class="py-line"><tt class="py-comment"># See the License for the specific language governing permissions and</tt> </tt>
<a name="L16"></a><tt class="py-lineno">16</tt>  <tt class="py-line"><tt class="py-comment"># limitations under the License.</tt> </tt>
<a name="L17"></a><tt class="py-lineno">17</tt>  <tt class="py-line"> </tt>
<a name="L18"></a><tt class="py-lineno">18</tt>  <tt class="py-line"> </tt>
<a name="L19"></a><tt class="py-lineno">19</tt>  <tt class="py-line"><tt class="py-keyword">import</tt> <tt class="py-name">argparse</tt> </tt>
<a name="L20"></a><tt class="py-lineno">20</tt>  <tt class="py-line"><tt class="py-keyword">import</tt> <tt class="py-name">os</tt> </tt>
<a name="L21"></a><tt class="py-lineno">21</tt>  <tt class="py-line"> </tt>
<a name="L22"></a><tt class="py-lineno">22</tt>  <tt class="py-line"><tt class="py-keyword">from</tt> <tt class="py-op">.</tt><tt id="link-0" class="py-name" targets="Package pyspottedunipd.fb=pyspottedunipd.fb-module.html"><a title="pyspottedunipd.fb" class="py-name" href="#" onclick="return doclink('link-0', 'fb', 'link-0');">fb</a></tt><tt class="py-op">.</tt><tt id="link-1" class="py-name" targets="Module pyspottedunipd.analysis.models=pyspottedunipd.analysis.models-module.html,Module pyspottedunipd.fb.models=pyspottedunipd.fb.models-module.html,Module pyspottedunipd.ngrams.models=pyspottedunipd.ngrams.models-module.html"><a title="pyspottedunipd.analysis.models
pyspottedunipd.fb.models
pyspottedunipd.ngrams.models" class="py-name" href="#" onclick="return doclink('link-1', 'models', 'link-1');">models</a></tt> <tt class="py-keyword">import</tt> <tt id="link-2" class="py-name" targets="Class pyspottedunipd.fb.models.FacebookBot=pyspottedunipd.fb.models.FacebookBot-class.html"><a title="pyspottedunipd.fb.models.FacebookBot" class="py-name" href="#" onclick="return doclink('link-2', 'FacebookBot', 'link-2');">FacebookBot</a></tt>  <tt class="py-comment"># from fb.models import FacebookBot when testing locally</tt> </tt>
<a name="L23"></a><tt class="py-lineno">23</tt>  <tt class="py-line"> </tt>
<a name="L24"></a><tt class="py-lineno">24</tt>  <tt class="py-line"><tt id="link-3" class="py-name" targets="Variable pyspottedunipd.cli.AVAILABLE_OUTPUT_FORMATS=pyspottedunipd.cli-module.html#AVAILABLE_OUTPUT_FORMATS"><a title="pyspottedunipd.cli.AVAILABLE_OUTPUT_FORMATS" class="py-name" href="#" onclick="return doclink('link-3', 'AVAILABLE_OUTPUT_FORMATS', 'link-3');">AVAILABLE_OUTPUT_FORMATS</a></tt> <tt class="py-op">=</tt> <tt class="py-op">[</tt><tt class="py-string">"json"</tt><tt class="py-op">,</tt> <tt class="py-string">"csv"</tt><tt class="py-op">]</tt> </tt>
<a name="L25"></a><tt class="py-lineno">25</tt>  <tt class="py-line"><tt id="link-4" class="py-name" targets="Variable pyspottedunipd.cli.SPOTTED_UNIPD_PAGE_ID=pyspottedunipd.cli-module.html#SPOTTED_UNIPD_PAGE_ID"><a title="pyspottedunipd.cli.SPOTTED_UNIPD_PAGE_ID" class="py-name" href="#" onclick="return doclink('link-4', 'SPOTTED_UNIPD_PAGE_ID', 'link-4');">SPOTTED_UNIPD_PAGE_ID</a></tt> <tt class="py-op">=</tt> <tt class="py-string">"471034402958762"</tt>  <tt class="py-comment"># page id of Spotted Unipd Facebook page</tt> </tt>
<a name="L26"></a><tt class="py-lineno">26</tt>  <tt class="py-line"><tt id="link-5" class="py-name" targets="Variable pyspottedunipd.cli.NUMBER_OF_POSTS_TO_FETCH=pyspottedunipd.cli-module.html#NUMBER_OF_POSTS_TO_FETCH"><a title="pyspottedunipd.cli.NUMBER_OF_POSTS_TO_FETCH" class="py-name" href="#" onclick="return doclink('link-5', 'NUMBER_OF_POSTS_TO_FETCH', 'link-5');">NUMBER_OF_POSTS_TO_FETCH</a></tt> <tt class="py-op">=</tt> <tt class="py-number">5000</tt> </tt>
<a name="L27"></a><tt class="py-lineno">27</tt>  <tt class="py-line"> </tt>
<a name="L28"></a><tt class="py-lineno">28</tt>  <tt class="py-line"> </tt>
<a name="create_args"></a><div id="create_args-def"><a name="L29"></a><tt class="py-lineno">29</tt> <a class="py-toggle" href="#" id="create_args-toggle" onclick="return toggle('create_args');">-</a><tt class="py-line"><tt class="py-keyword">def</tt> <a class="py-def-name" href="pyspottedunipd.cli-module.html#create_args">create_args</a><tt class="py-op">(</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="create_args-collapsed" style="display:none;" pad="++" indent="++++"></div><div id="create_args-expanded"><a name="L30"></a><tt class="py-lineno">30</tt>  <tt class="py-line">    <tt class="py-docstring">"""</tt> </tt>
<a name="L31"></a><tt class="py-lineno">31</tt>  <tt class="py-line"><tt class="py-docstring">    :return: ArgumentParser</tt> </tt>
<a name="L32"></a><tt class="py-lineno">32</tt>  <tt class="py-line"><tt class="py-docstring">        Parser that handles cmd arguments.</tt> </tt>
<a name="L33"></a><tt class="py-lineno">33</tt>  <tt class="py-line"><tt class="py-docstring">    """</tt> </tt>
<a name="L34"></a><tt class="py-lineno">34</tt>  <tt class="py-line"> </tt>
<a name="L35"></a><tt class="py-lineno">35</tt>  <tt class="py-line">    <tt class="py-name">parser</tt> <tt class="py-op">=</tt> <tt class="py-name">argparse</tt><tt class="py-op">.</tt><tt class="py-name">ArgumentParser</tt><tt class="py-op">(</tt> </tt>
<a name="L36"></a><tt class="py-lineno">36</tt>  <tt class="py-line">        <tt class="py-name">usage</tt><tt class="py-op">=</tt><tt class="py-string">"-t &lt;access token&gt; -f &lt;format of output file [json, csv]&gt; -o &lt;path to output file&gt;"</tt><tt class="py-op">)</tt> </tt>
<a name="L37"></a><tt class="py-lineno">37</tt>  <tt class="py-line">    <tt class="py-name">parser</tt><tt class="py-op">.</tt><tt class="py-name">add_argument</tt><tt class="py-op">(</tt><tt class="py-string">"-t"</tt><tt class="py-op">,</tt> <tt class="py-name">dest</tt><tt class="py-op">=</tt><tt class="py-string">"token"</tt><tt class="py-op">,</tt> <tt class="py-name">help</tt><tt class="py-op">=</tt><tt class="py-string">"access token to use Facebook API"</tt><tt class="py-op">,</tt> <tt class="py-name">required</tt><tt class="py-op">=</tt><tt class="py-name">True</tt><tt class="py-op">)</tt> </tt>
<a name="L38"></a><tt class="py-lineno">38</tt>  <tt class="py-line">    <tt class="py-name">parser</tt><tt class="py-op">.</tt><tt class="py-name">add_argument</tt><tt class="py-op">(</tt><tt class="py-string">"-m"</tt><tt class="py-op">,</tt> <tt class="py-name">dest</tt><tt class="py-op">=</tt><tt class="py-string">"min_post_count"</tt><tt class="py-op">,</tt> <tt class="py-name">help</tt><tt class="py-op">=</tt><tt class="py-string">"min number of posts to fetch"</tt><tt class="py-op">,</tt> <tt class="py-name">required</tt><tt class="py-op">=</tt><tt class="py-name">False</tt><tt class="py-op">,</tt> <tt class="py-name">default</tt><tt class="py-op">=</tt><tt class="py-number">100</tt><tt class="py-op">)</tt> </tt>
<a name="L39"></a><tt class="py-lineno">39</tt>  <tt class="py-line">    <tt class="py-name">parser</tt><tt class="py-op">.</tt><tt class="py-name">add_argument</tt><tt class="py-op">(</tt><tt class="py-string">"-f"</tt><tt class="py-op">,</tt> <tt class="py-name">dest</tt><tt class="py-op">=</tt><tt class="py-string">"format_out"</tt><tt class="py-op">,</tt> <tt class="py-name">help</tt><tt class="py-op">=</tt><tt class="py-string">"format of output file [json, csv]"</tt><tt class="py-op">,</tt> <tt class="py-name">required</tt><tt class="py-op">=</tt><tt class="py-name">True</tt><tt class="py-op">)</tt> </tt>
<a name="L40"></a><tt class="py-lineno">40</tt>  <tt class="py-line">    <tt class="py-name">parser</tt><tt class="py-op">.</tt><tt class="py-name">add_argument</tt><tt class="py-op">(</tt><tt class="py-string">"-o"</tt><tt class="py-op">,</tt> <tt class="py-name">dest</tt><tt class="py-op">=</tt><tt class="py-string">"path_out"</tt><tt class="py-op">,</tt> <tt class="py-name">help</tt><tt class="py-op">=</tt><tt class="py-string">"path to output file"</tt><tt class="py-op">,</tt> <tt class="py-name">required</tt><tt class="py-op">=</tt><tt class="py-name">True</tt><tt class="py-op">)</tt> </tt>
<a name="L41"></a><tt class="py-lineno">41</tt>  <tt class="py-line">    <tt class="py-keyword">return</tt> <tt class="py-name">parser</tt> </tt>
</div><a name="L42"></a><tt class="py-lineno">42</tt>  <tt class="py-line"> </tt>
<a name="L43"></a><tt class="py-lineno">43</tt>  <tt class="py-line"> </tt>
<a name="parse_args"></a><div id="parse_args-def"><a name="L44"></a><tt class="py-lineno">44</tt> <a class="py-toggle" href="#" id="parse_args-toggle" onclick="return toggle('parse_args');">-</a><tt class="py-line"><tt class="py-keyword">def</tt> <a class="py-def-name" href="pyspottedunipd.cli-module.html#parse_args">parse_args</a><tt class="py-op">(</tt><tt class="py-param">parser</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="parse_args-collapsed" style="display:none;" pad="++" indent="++++"></div><div id="parse_args-expanded"><a name="L45"></a><tt class="py-lineno">45</tt>  <tt class="py-line">    <tt class="py-docstring">"""</tt> </tt>
<a name="L46"></a><tt class="py-lineno">46</tt>  <tt class="py-line"><tt class="py-docstring">    :param parser: ArgumentParser</tt> </tt>
<a name="L47"></a><tt class="py-lineno">47</tt>  <tt class="py-line"><tt class="py-docstring">        Object that holds cmd arguments.</tt> </tt>
<a name="L48"></a><tt class="py-lineno">48</tt>  <tt class="py-line"><tt class="py-docstring">    :return: tuple</tt> </tt>
<a name="L49"></a><tt class="py-lineno">49</tt>  <tt class="py-line"><tt class="py-docstring">        Values of arguments.</tt> </tt>
<a name="L50"></a><tt class="py-lineno">50</tt>  <tt class="py-line"><tt class="py-docstring">    """</tt> </tt>
<a name="L51"></a><tt class="py-lineno">51</tt>  <tt class="py-line"> </tt>
<a name="L52"></a><tt class="py-lineno">52</tt>  <tt class="py-line">    <tt class="py-name">args</tt> <tt class="py-op">=</tt> <tt class="py-name">parser</tt><tt class="py-op">.</tt><tt id="link-6" class="py-name" targets="Function pyspottedunipd.analysis.cli.parse_args()=pyspottedunipd.analysis.cli-module.html#parse_args,Function pyspottedunipd.cli.parse_args()=pyspottedunipd.cli-module.html#parse_args,Function pyspottedunipd.ngrams.cli.parse_args()=pyspottedunipd.ngrams.cli-module.html#parse_args,Function pyspottedunipd.text.cli.parse_args()=pyspottedunipd.text.cli-module.html#parse_args"><a title="pyspottedunipd.analysis.cli.parse_args
pyspottedunipd.cli.parse_args
pyspottedunipd.ngrams.cli.parse_args
pyspottedunipd.text.cli.parse_args" class="py-name" href="#" onclick="return doclink('link-6', 'parse_args', 'link-6');">parse_args</a></tt><tt class="py-op">(</tt><tt class="py-op">)</tt> </tt>
<a name="L53"></a><tt class="py-lineno">53</tt>  <tt class="py-line"> </tt>
<a name="L54"></a><tt class="py-lineno">54</tt>  <tt class="py-line">    <tt class="py-keyword">return</tt> <tt class="py-name">str</tt><tt class="py-op">(</tt><tt class="py-name">args</tt><tt class="py-op">.</tt><tt class="py-name">token</tt><tt class="py-op">)</tt><tt class="py-op">,</tt> <tt class="py-name">float</tt><tt class="py-op">(</tt><tt class="py-name">args</tt><tt class="py-op">.</tt><tt class="py-name">min_post_count</tt><tt class="py-op">)</tt><tt class="py-op">,</tt> <tt class="py-name">str</tt><tt class="py-op">(</tt><tt class="py-name">args</tt><tt class="py-op">.</tt><tt class="py-name">format_out</tt><tt class="py-op">)</tt><tt class="py-op">,</tt> <tt class="py-name">str</tt><tt class="py-op">(</tt><tt class="py-name">args</tt><tt class="py-op">.</tt><tt class="py-name">path_out</tt><tt class="py-op">)</tt> </tt>
</div><a name="L55"></a><tt class="py-lineno">55</tt>  <tt class="py-line"> </tt>
<a name="L56"></a><tt class="py-lineno">56</tt>  <tt class="py-line"> </tt>
<a name="check_args"></a><div id="check_args-def"><a name="L57"></a><tt class="py-lineno">57</tt> <a class="py-toggle" href="#" id="check_args-toggle" onclick="return toggle('check_args');">-</a><tt class="py-line"><tt class="py-keyword">def</tt> <a class="py-def-name" href="pyspottedunipd.cli-module.html#check_args">check_args</a><tt class="py-op">(</tt><tt class="py-param">token</tt><tt class="py-op">,</tt> <tt class="py-param">min_post_count</tt><tt class="py-op">,</tt> <tt class="py-param">format_out</tt><tt class="py-op">,</tt> <tt class="py-param">path_out</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="check_args-collapsed" style="display:none;" pad="++" indent="++++"></div><div id="check_args-expanded"><a name="L58"></a><tt class="py-lineno">58</tt>  <tt class="py-line">    <tt class="py-docstring">"""</tt> </tt>
<a name="L59"></a><tt class="py-lineno">59</tt>  <tt class="py-line"><tt class="py-docstring">    :param token: str</tt> </tt>
<a name="L60"></a><tt class="py-lineno">60</tt>  <tt class="py-line"><tt class="py-docstring">        Token to use Facebook API</tt> </tt>
<a name="L61"></a><tt class="py-lineno">61</tt>  <tt class="py-line"><tt class="py-docstring">    :param min_post_count: float</tt> </tt>
<a name="L62"></a><tt class="py-lineno">62</tt>  <tt class="py-line"><tt class="py-docstring">        Minimum number of posts to fetch</tt> </tt>
<a name="L63"></a><tt class="py-lineno">63</tt>  <tt class="py-line"><tt class="py-docstring">    :param format_out: str</tt> </tt>
<a name="L64"></a><tt class="py-lineno">64</tt>  <tt class="py-line"><tt class="py-docstring">        Format of output file (json, csv)</tt> </tt>
<a name="L65"></a><tt class="py-lineno">65</tt>  <tt class="py-line"><tt class="py-docstring">    :param path_out: str</tt> </tt>
<a name="L66"></a><tt class="py-lineno">66</tt>  <tt class="py-line"><tt class="py-docstring">        File to use as output</tt> </tt>
<a name="L67"></a><tt class="py-lineno">67</tt>  <tt class="py-line"><tt class="py-docstring">    :return: bool</tt> </tt>
<a name="L68"></a><tt class="py-lineno">68</tt>  <tt class="py-line"><tt class="py-docstring">        True iff args are correct</tt> </tt>
<a name="L69"></a><tt class="py-lineno">69</tt>  <tt class="py-line"><tt class="py-docstring">    """</tt> </tt>
<a name="L70"></a><tt class="py-lineno">70</tt>  <tt class="py-line"> </tt>
<a name="L71"></a><tt class="py-lineno">71</tt>  <tt class="py-line">    <tt class="py-keyword">assert</tt> <tt class="py-op">(</tt><tt class="py-name">min_post_count</tt> <tt class="py-op">&gt;</tt> <tt class="py-number">1</tt><tt class="py-op">)</tt> </tt>
<a name="L72"></a><tt class="py-lineno">72</tt>  <tt class="py-line">    <tt class="py-keyword">assert</tt> <tt class="py-name">format_out</tt> <tt class="py-keyword">in</tt> <tt id="link-7" class="py-name"><a title="pyspottedunipd.cli.AVAILABLE_OUTPUT_FORMATS" class="py-name" href="#" onclick="return doclink('link-7', 'AVAILABLE_OUTPUT_FORMATS', 'link-3');">AVAILABLE_OUTPUT_FORMATS</a></tt> </tt>
<a name="L73"></a><tt class="py-lineno">73</tt>  <tt class="py-line"> </tt>
<a name="L74"></a><tt class="py-lineno">74</tt>  <tt class="py-line">    <tt class="py-name">out_dir</tt> <tt class="py-op">=</tt> <tt class="py-name">os</tt><tt class="py-op">.</tt><tt class="py-name">path</tt><tt class="py-op">.</tt><tt class="py-name">dirname</tt><tt class="py-op">(</tt><tt class="py-name">path_out</tt><tt class="py-op">)</tt> </tt>
<a name="L75"></a><tt class="py-lineno">75</tt>  <tt class="py-line">    <tt class="py-keyword">if</tt> <tt class="py-keyword">not</tt> <tt class="py-name">os</tt><tt class="py-op">.</tt><tt class="py-name">path</tt><tt class="py-op">.</tt><tt class="py-name">exists</tt><tt class="py-op">(</tt><tt class="py-name">out_dir</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
<a name="L76"></a><tt class="py-lineno">76</tt>  <tt class="py-line">        <tt class="py-name">os</tt><tt class="py-op">.</tt><tt class="py-name">makedirs</tt><tt class="py-op">(</tt><tt class="py-name">out_dir</tt><tt class="py-op">)</tt>  <tt class="py-comment"># create necessary dir for output file</tt> </tt>
<a name="L77"></a><tt class="py-lineno">77</tt>  <tt class="py-line"> </tt>
<a name="L78"></a><tt class="py-lineno">78</tt>  <tt class="py-line">    <tt class="py-keyword">return</tt> <tt class="py-name">True</tt> </tt>
</div><a name="L79"></a><tt class="py-lineno">79</tt>  <tt class="py-line"> </tt>
<a name="L80"></a><tt class="py-lineno">80</tt>  <tt class="py-line"> </tt>
<a name="main"></a><div id="main-def"><a name="L81"></a><tt class="py-lineno">81</tt> <a class="py-toggle" href="#" id="main-toggle" onclick="return toggle('main');">-</a><tt class="py-line"><tt class="py-keyword">def</tt> <a class="py-def-name" href="pyspottedunipd.cli-module.html#main">main</a><tt class="py-op">(</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="main-collapsed" style="display:none;" pad="++" indent="++++"></div><div id="main-expanded"><a name="L82"></a><tt class="py-lineno">82</tt>  <tt class="py-line">    <tt class="py-name">token</tt><tt class="py-op">,</tt> <tt class="py-name">min_post_count</tt><tt class="py-op">,</tt> <tt class="py-name">format_out</tt><tt class="py-op">,</tt> <tt class="py-name">path_out</tt> <tt class="py-op">=</tt> <tt id="link-8" class="py-name"><a title="pyspottedunipd.analysis.cli.parse_args
pyspottedunipd.cli.parse_args
pyspottedunipd.ngrams.cli.parse_args
pyspottedunipd.text.cli.parse_args" class="py-name" href="#" onclick="return doclink('link-8', 'parse_args', 'link-6');">parse_args</a></tt><tt class="py-op">(</tt><tt id="link-9" class="py-name" targets="Function pyspottedunipd.analysis.cli.create_args()=pyspottedunipd.analysis.cli-module.html#create_args,Function pyspottedunipd.cli.create_args()=pyspottedunipd.cli-module.html#create_args,Function pyspottedunipd.ngrams.cli.create_args()=pyspottedunipd.ngrams.cli-module.html#create_args,Function pyspottedunipd.text.cli.create_args()=pyspottedunipd.text.cli-module.html#create_args"><a title="pyspottedunipd.analysis.cli.create_args
pyspottedunipd.cli.create_args
pyspottedunipd.ngrams.cli.create_args
pyspottedunipd.text.cli.create_args" class="py-name" href="#" onclick="return doclink('link-9', 'create_args', 'link-9');">create_args</a></tt><tt class="py-op">(</tt><tt class="py-op">)</tt><tt class="py-op">)</tt> </tt>
<a name="L83"></a><tt class="py-lineno">83</tt>  <tt class="py-line">    <tt class="py-keyword">if</tt> <tt id="link-10" class="py-name" targets="Function pyspottedunipd.analysis.cli.check_args()=pyspottedunipd.analysis.cli-module.html#check_args,Function pyspottedunipd.cli.check_args()=pyspottedunipd.cli-module.html#check_args,Function pyspottedunipd.ngrams.cli.check_args()=pyspottedunipd.ngrams.cli-module.html#check_args,Function pyspottedunipd.text.cli.check_args()=pyspottedunipd.text.cli-module.html#check_args"><a title="pyspottedunipd.analysis.cli.check_args
pyspottedunipd.cli.check_args
pyspottedunipd.ngrams.cli.check_args
pyspottedunipd.text.cli.check_args" class="py-name" href="#" onclick="return doclink('link-10', 'check_args', 'link-10');">check_args</a></tt><tt class="py-op">(</tt><tt class="py-name">token</tt><tt class="py-op">,</tt> <tt class="py-name">min_post_count</tt><tt class="py-op">,</tt> <tt class="py-name">format_out</tt><tt class="py-op">,</tt> <tt class="py-name">path_out</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
<a name="L84"></a><tt class="py-lineno">84</tt>  <tt class="py-line">        <tt class="py-name">bot</tt> <tt class="py-op">=</tt> <tt id="link-11" class="py-name"><a title="pyspottedunipd.fb.models.FacebookBot" class="py-name" href="#" onclick="return doclink('link-11', 'FacebookBot', 'link-2');">FacebookBot</a></tt><tt class="py-op">(</tt><tt class="py-name">token</tt><tt class="py-op">)</tt>  <tt class="py-comment"># build bot with token</tt> </tt>
<a name="L85"></a><tt class="py-lineno">85</tt>  <tt class="py-line">        <tt class="py-keyword">if</tt> <tt class="py-name">format_out</tt> <tt class="py-op">==</tt> <tt class="py-string">"json"</tt><tt class="py-op">:</tt> </tt>
<a name="L86"></a><tt class="py-lineno">86</tt>  <tt class="py-line">            <tt class="py-keyword">pass</tt> </tt>
<a name="L87"></a><tt class="py-lineno">87</tt>  <tt class="py-line">            <tt class="py-comment"># bot.save_json</tt> </tt>
<a name="L88"></a><tt class="py-lineno">88</tt>  <tt class="py-line">        <tt class="py-keyword">elif</tt> <tt class="py-name">format_out</tt> <tt class="py-op">==</tt> <tt class="py-string">"csv"</tt><tt class="py-op">:</tt> </tt>
<a name="L89"></a><tt class="py-lineno">89</tt>  <tt class="py-line">            <tt class="py-name">bot</tt><tt class="py-op">.</tt><tt id="link-12" class="py-name" targets="Method pyspottedunipd.fb.models.FacebookBot.download_page_posts()=pyspottedunipd.fb.models.FacebookBot-class.html#download_page_posts"><a title="pyspottedunipd.fb.models.FacebookBot.download_page_posts" class="py-name" href="#" onclick="return doclink('link-12', 'download_page_posts', 'link-12');">download_page_posts</a></tt><tt class="py-op">(</tt><tt id="link-13" class="py-name"><a title="pyspottedunipd.cli.SPOTTED_UNIPD_PAGE_ID" class="py-name" href="#" onclick="return doclink('link-13', 'SPOTTED_UNIPD_PAGE_ID', 'link-4');">SPOTTED_UNIPD_PAGE_ID</a></tt><tt class="py-op">,</tt> <tt id="link-14" class="py-name"><a title="pyspottedunipd.cli.NUMBER_OF_POSTS_TO_FETCH" class="py-name" href="#" onclick="return doclink('link-14', 'NUMBER_OF_POSTS_TO_FETCH', 'link-5');">NUMBER_OF_POSTS_TO_FETCH</a></tt><tt class="py-op">,</tt> <tt class="py-name">path_out</tt><tt class="py-op">)</tt> </tt>
<a name="L90"></a><tt class="py-lineno">90</tt>  <tt class="py-line">    <tt class="py-keyword">else</tt><tt class="py-op">:</tt> </tt>
<a name="L91"></a><tt class="py-lineno">91</tt>  <tt class="py-line">        <tt class="py-keyword">print</tt><tt class="py-op">(</tt><tt class="py-string">"Error while parsing args. Run 'pyspottedunipd -h' for help"</tt><tt class="py-op">)</tt> </tt>
</div><a name="L92"></a><tt class="py-lineno">92</tt>  <tt class="py-line"> </tt>
<a name="L93"></a><tt class="py-lineno">93</tt>  <tt class="py-line"> </tt>
<a name="L94"></a><tt class="py-lineno">94</tt>  <tt class="py-line"><tt class="py-keyword">if</tt> <tt class="py-name">__name__</tt> <tt class="py-op">==</tt> <tt class="py-string">'__main__'</tt><tt class="py-op">:</tt> </tt>
<a name="L95"></a><tt class="py-lineno">95</tt>  <tt class="py-line">    <tt id="link-15" class="py-name" targets="Function pyspottedunipd.analysis.cli.main()=pyspottedunipd.analysis.cli-module.html#main,Function pyspottedunipd.cli.main()=pyspottedunipd.cli-module.html#main,Function pyspottedunipd.ngrams.cli.main()=pyspottedunipd.ngrams.cli-module.html#main,Function pyspottedunipd.text.cli.main()=pyspottedunipd.text.cli-module.html#main"><a title="pyspottedunipd.analysis.cli.main
pyspottedunipd.cli.main
pyspottedunipd.ngrams.cli.main
pyspottedunipd.text.cli.main" class="py-name" href="#" onclick="return doclink('link-15', 'main', 'link-15');">main</a></tt><tt class="py-op">(</tt><tt class="py-op">)</tt> </tt>
<a name="L96"></a><tt class="py-lineno">96</tt>  <tt class="py-line"> </tt><script type="text/javascript">
<!--
expandto(location.href);
// -->
</script>
</pre>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a href="https://github.com/sirfoga/spotted-unipd">PySpottedUnipd</a></th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0.1 on Thu Apr 20 22:50:23 2017
    </td>
    <td align="right" class="footer">
      <a target="mainFrame" href="http://epydoc.sourceforge.net"
        >http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
